db.getCollection("experiment_scopes").aggregate([
{
    $match: {_id: "c45_v[5-45]_1"}
},
{
    $unwind : "$instances"
},
{
    $lookup:
    {
        from: "instances",
        localField: "instances",
        foreignField: "_id",
        as: "instance"
    }
},
{
    $unwind: "$instance"
},
{
    $project: {instance_id: "$instance._id"}
}
])